Note: This website is archived. For up-to-date information about D projects and development, please visit wiki.dlang.org.

Ticket #129 (closed task: fixed)

Opened 8 years ago

Last modified 8 years ago

Update binding library

Reported by: Ligustah Assigned to: JarrettBillingsley
Priority: blocker Milestone:
Component: Binding Lib Keywords:
Cc:

Description

At the moment the binding library is not compatible with the changes made in [603]. The functions generated by the templates do not match the signature required, which causes very strange errors during compilation.

Attachments

bind.d (59.5 kB) - added by Ligustah on 01/08/11 10:11:12.
Changed bind.d, works in my tests, probably needs some more work though.

Change History

01/08/11 10:11:12 changed by Ligustah

  • attachment bind.d added.

Changed bind.d, works in my tests, probably needs some more work though.

01/08/11 17:10:54 changed by JarrettBillingsley

;_;

03/31/11 12:38:49 changed by Ligustah

Euhm, the file i attached earlier has worked pretty fine for me. Would you mind adding it to your svn? Also someone posted a patches for both bind.d and ex.d on the forum: http://www.dsource.org/forums/viewtopic.php?t=5791

Thanks in advance :)

04/01/11 03:45:38 changed by JarrettBillingsley

  • status changed from new to closed.
  • resolution set to fixed.

(In [609]) - Fixed a bug with argument parsing in some call expressions where the compiler wouldn't clean up if there was a parsing error. - Fixed minid.ex and minid.bind to use the new native function signature introduced in [603], this closes #129. - Added a few functions to the SDL addon.

04/01/11 14:57:53 changed by zwl

But than my patch a patch of Ligustah, I am more right.

bind.d of the trunk in http://dsource.org/projects/minid/attachment/ticket/129/bind.d

I want you to do it.

04/01/11 14:58:25 changed by zwl

  • status changed from closed to reopened.
  • resolution deleted.

04/01/11 18:19:55 changed by JarrettBillingsley

  • status changed from reopened to closed.
  • resolution set to fixed.

(In [610]) Couple tiny fixes to minid.bind, closes #129.